org.apache.derby.vti

## Class ForwardingVTI

- java.lang.Object
- - org.apache.derby.vti.VTITemplate
  - - org.apache.derby.vti.ForwardingVTI

- All Implemented Interfaces:
    AutoCloseable, ResultSet, Wrapper, AwareVTI
  Direct Known Subclasses:
    ForeignTableVTI

      public class ForwardingVTI
      extends VTITemplate

  This class contains a table function which forwards its behavior to another ResultSet wrapped inside it.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.derby.vti.VTITemplate

      `VTITemplate.ColumnDescriptor`

  - ### Field Summary

    - ### Fields inherited from interface java.sql.ResultSet

      `CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardingVTI()` Construct from another ResultSet.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InputStream` | `getAsciiStream(int i)`
    `BigDecimal` | `getBigDecimal(int i)`
    `BigDecimal` | `getBigDecimal(int i, int scale)` Deprecated.
    `InputStream` | `getBinaryStream(int i)`
    `Blob` | `getBlob(int i)`
    `boolean` | `getBoolean(int i)`
    `byte` | `getByte(int i)`
    `byte[]` | `getBytes(int i)`
    `Reader` | `getCharacterStream(int i)`
    `Clob` | `getClob(int i)`
    `Date` | `getDate(int i)`
    `Date` | `getDate(int i, Calendar cal)`
    `double` | `getDouble(int i)`
    `float` | `getFloat(int i)`
    `int` | `getInt(int i)`
    `long` | `getLong(int i)`
    `ResultSetMetaData` | `getMetaData()`
    `Object` | `getObject(int i)`
    `short` | `getShort(int i)`
    `String` | `getString(int i)`
    `Time` | `getTime(int i)`
    `Time` | `getTime(int i, Calendar cal)`
    `Timestamp` | `getTimestamp(int i)`
    `Timestamp` | `getTimestamp(int i, Calendar cal)`
    `ResultSet` | `getWrappedResultSet()` Get the wrapped ResultSet.
    `boolean` | `isClosed()`
    `boolean` | `next()`
    `boolean` | `wasNull()`
    `void` | `wrapResultSet(ResultSet wrappedResultSet)` Poke in another ResultSet to which we forward method calls.

    - ### Methods inherited from class org.apache.derby.vti.VTITemplate

      `absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getConcurrency, getContext, getCursorName, getDate, getDate, getDouble, getFetchDirection, getFetchSize, getFloat, getHoldability, getInt, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getReturnTableSignature, getRow, getRowId, getRowId, getShort, getSQLXML, getSQLXML, getStatement, getString, getTime, getTime, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, isWrapperFor, last, moveToCurrentRow, moveToInsertRow, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setContext, setFetchDirection, setFetchSize, unwrap, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateRowId, updateRowId, updateShort, updateShort, updateSQLXML, updateSQLXML, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.ResultSet

      `updateObject, updateObject, updateObject, updateObject`

- - ### Constructor Detail

    - #### ForwardingVTI

          public ForwardingVTI()

      Construct from another ResultSet.

  - ### Method Detail

    - #### wrapResultSet

          public final void wrapResultSet(ResultSet wrappedResultSet)

      Poke in another ResultSet to which we forward method calls.

    - #### getWrappedResultSet

          public final ResultSet getWrappedResultSet()

      Get the wrapped ResultSet.

    - #### close

          public void close()
                     throws SQLException

      Throws:
        `SQLException`

    - #### next

          public boolean next()
                       throws SQLException

      Throws:
        `SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws SQLException

      Specified by:
        `isClosed` in interface `ResultSet`
      Overrides:
        `isClosed` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### wasNull

          public boolean wasNull()
                          throws SQLException

      Specified by:
        `wasNull` in interface `ResultSet`
      Overrides:
        `wasNull` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getMetaData

          public ResultSetMetaData getMetaData()
                                        throws SQLException

      Specified by:
        `getMetaData` in interface `ResultSet`
      Overrides:
        `getMetaData` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getAsciiStream

          public InputStream getAsciiStream(int i)
                                     throws SQLException

      Specified by:
        `getAsciiStream` in interface `ResultSet`
      Overrides:
        `getAsciiStream` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getBigDecimal

          public BigDecimal getBigDecimal(int i)
                                   throws SQLException

      Specified by:
        `getBigDecimal` in interface `ResultSet`
      Overrides:
        `getBigDecimal` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getBigDecimal

          @Deprecated
          public BigDecimal getBigDecimal(int i,
                                                      int scale)
                                               throws SQLException

      Deprecated.
      Specified by:
        `getBigDecimal` in interface `ResultSet`
      Overrides:
        `getBigDecimal` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getBinaryStream

          public InputStream getBinaryStream(int i)
                                      throws SQLException

      Specified by:
        `getBinaryStream` in interface `ResultSet`
      Overrides:
        `getBinaryStream` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getBlob

          public Blob getBlob(int i)
                       throws SQLException

      Specified by:
        `getBlob` in interface `ResultSet`
      Overrides:
        `getBlob` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getBoolean

          public boolean getBoolean(int i)
                             throws SQLException

      Specified by:
        `getBoolean` in interface `ResultSet`
      Overrides:
        `getBoolean` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getByte

          public byte getByte(int i)
                       throws SQLException

      Specified by:
        `getByte` in interface `ResultSet`
      Overrides:
        `getByte` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getBytes

          public byte[] getBytes(int i)
                          throws SQLException

      Specified by:
        `getBytes` in interface `ResultSet`
      Overrides:
        `getBytes` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getCharacterStream

          public Reader getCharacterStream(int i)
                                    throws SQLException

      Specified by:
        `getCharacterStream` in interface `ResultSet`
      Overrides:
        `getCharacterStream` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getClob

          public Clob getClob(int i)
                       throws SQLException

      Specified by:
        `getClob` in interface `ResultSet`
      Overrides:
        `getClob` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getDate

          public Date getDate(int i)
                       throws SQLException

      Specified by:
        `getDate` in interface `ResultSet`
      Overrides:
        `getDate` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getDate

          public Date getDate(int i,
                              Calendar cal)
                       throws SQLException

      Specified by:
        `getDate` in interface `ResultSet`
      Overrides:
        `getDate` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getDouble

          public double getDouble(int i)
                           throws SQLException

      Specified by:
        `getDouble` in interface `ResultSet`
      Overrides:
        `getDouble` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getFloat

          public float getFloat(int i)
                         throws SQLException

      Specified by:
        `getFloat` in interface `ResultSet`
      Overrides:
        `getFloat` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getInt

          public int getInt(int i)
                     throws SQLException

      Specified by:
        `getInt` in interface `ResultSet`
      Overrides:
        `getInt` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getLong

          public long getLong(int i)
                       throws SQLException

      Specified by:
        `getLong` in interface `ResultSet`
      Overrides:
        `getLong` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getObject

          public Object getObject(int i)
                           throws SQLException

      Specified by:
        `getObject` in interface `ResultSet`
      Overrides:
        `getObject` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getShort

          public short getShort(int i)
                         throws SQLException

      Specified by:
        `getShort` in interface `ResultSet`
      Overrides:
        `getShort` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getString

          public String getString(int i)
                           throws SQLException

      Specified by:
        `getString` in interface `ResultSet`
      Overrides:
        `getString` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getTime

          public Time getTime(int i)
                       throws SQLException

      Specified by:
        `getTime` in interface `ResultSet`
      Overrides:
        `getTime` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getTime

          public Time getTime(int i,
                              Calendar cal)
                       throws SQLException

      Specified by:
        `getTime` in interface `ResultSet`
      Overrides:
        `getTime` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getTimestamp

          public Timestamp getTimestamp(int i)
                                 throws SQLException

      Specified by:
        `getTimestamp` in interface `ResultSet`
      Overrides:
        `getTimestamp` in class `VTITemplate`
      Throws:
        `SQLException`

    - #### getTimestamp

          public Timestamp getTimestamp(int i,
                                        Calendar cal)
                                 throws SQLException

      Specified by:
        `getTimestamp` in interface `ResultSet`
      Overrides:
        `getTimestamp` in class `VTITemplate`
      Throws:
        `SQLException`

Apache Derby 10.13 API Documentation - Copyright © 2004,2016 The Apache Software Foundation. All Rights Reserved.